edu.sc.seis.sod.subsetter.origin

## Class PointLinearDistanceMagnitude

- java.lang.Object
- - edu.sc.seis.sod.subsetter.DistanceRangeSubsetter
  - - edu.sc.seis.sod.subsetter.eventStation.LinearDistanceMagnitudeRange
    - - edu.sc.seis.sod.subsetter.origin.PointLinearDistanceMagnitude

- All Implemented Interfaces:
    SodElement, EventStationSubsetter, OriginSubsetter, Subsetter

      public class PointLinearDistanceMagnitude
      extends LinearDistanceMagnitudeRange
      implements OriginSubsetter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PointLinearDistanceMagnitude(org.w3c.dom.Element element)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringTree` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent eventAccess, edu.iris.Fissures.event.EventAttrImpl eventAttr, edu.iris.Fissures.event.OriginImpl preferred_origin)`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.eventStation.LinearDistanceMagnitudeRange

      `accept, accept`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.DistanceRangeSubsetter

      `getMax, getMin, getUnitRange, processConfig`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PointLinearDistanceMagnitude

          public PointLinearDistanceMagnitude(org.w3c.dom.Element element)
                                       throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### accept

          public StringTree accept(edu.sc.seis.fissuresUtil.cache.CacheEvent eventAccess,
                                   edu.iris.Fissures.event.EventAttrImpl eventAttr,
                                   edu.iris.Fissures.event.OriginImpl preferred_origin)
                            throws java.lang.Exception

      Specified by:
        `accept` in interface `OriginSubsetter`
      Throws:
        `java.lang.Exception`